Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 879692 - update to 2.9.2
Summary: update to 2.9.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: scala
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Geoff Reedy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-23 17:42 UTC by gil cattaneo
Modified: 2012-12-06 06:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-01 09:48:21 UTC
Type: Bug


Attachments (Terms of Use)
update to 2.9.2 (26.83 KB, patch)
2012-11-23 17:42 UTC, gil cattaneo
no flags Details | Diff

Description gil cattaneo 2012-11-23 17:42:55 UTC
Created attachment 650586 [details]
update to 2.9.2

please, update to 2.9.2

tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4721554

changes in spec file:
- added maven poms
- adapted to current guideline
- built with java 7 support
- removed ant-nodeps from buildrequires

Comment 1 gil cattaneo 2012-11-23 17:48:33 UTC
should fix these bugs: 673971 757122 821234 836754 856887

Comment 2 Fedora Update System 2012-11-24 14:29:21 UTC
scala-2.9.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/scala-2.9.2-1.fc18

Comment 3 Fedora Update System 2012-11-24 15:12:00 UTC
scala-2.9.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/scala-2.9.2-1.fc17

Comment 4 gil cattaneo 2012-11-24 17:06:31 UTC
hi,
scala-swing module isn't installed... are there some reasons?
can you use the attached patch?
thanks
regards

Comment 5 gil cattaneo 2012-11-24 17:18:27 UTC
hi,
forgot to change 
%define scaladir %{_datadir}/scala
in
%global scaladir %{_datadir}/scala
in the spec file @ line 91
and if is possible move this declaration in the header of spec file
thanks
regards

Comment 6 Fedora Update System 2012-11-24 20:14:01 UTC
Package scala-2.9.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing scala-2.9.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18974/scala-2.9.2-1.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-11-25 20:48:16 UTC
scala-2.9.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/scala-2.9.2-3.fc18

Comment 8 Fedora Update System 2012-11-26 12:05:58 UTC
scala-2.9.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/scala-2.9.2-3.fc17

Comment 9 Fedora Update System 2012-12-01 09:48:22 UTC
scala-2.9.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-12-06 06:54:11 UTC
scala-2.9.2-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.